Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
CFB_FIPS_Mode< CIPHER > Struct Template Reference

CFB mode FIPS variant, requiring full block plaintext according to FIPS 800-38A. More...

`#include <modes.h>`

Inheritance diagram for CFB_FIPS_Mode< CIPHER >:

List of all members.

## Public Types

typedef CipherModeFinalTemplate_CipherHolder < typename CIPHER::Encryption, ConcretePolicyHolder< Empty, CFB_RequireFullDataBlocks < CFB_EncryptionTemplate < AbstractPolicyHolder < CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > > | Encryption
| implements the SymmetricCipher interface
typedef CipherModeFinalTemplate_CipherHolder < typename CIPHER::Encryption, ConcretePolicyHolder< Empty, CFB_RequireFullDataBlocks < CFB_DecryptionTemplate < AbstractPolicyHolder < CFB_CipherAbstractPolicy, CFB_ModePolicy > > > > > | Decryption
| implements the SymmetricCipher interface

## Detailed Description

### template<class CIPHER>
struct CFB_FIPS_Mode< CIPHER >

CFB mode FIPS variant, requiring full block plaintext according to FIPS 800-38A.

Definition at line 312 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h